🚀 Master Nextflow: Build and Run Scalable Workflows!

<img src="pages/images/nextflow.png" alt="drawing" width="600"/>


## Course overview

<img src="https://www.svgrepo.com/show/305241/github.svg"
    width="20" height="20"/>
    [GitHub repository]( {{config.repo_url}})


Are you ready to streamline your bioinformatics workflows and unlock the full power of Nextflow? This workshop will take you from foundational concepts to hands-on execution, equipping you with the skills to build, run, and troubleshoot Nextflow pipelines with confidence!

**Topics covered include:**

- Introduction to nextflow and nf-core
- Core Nextflow components for building simple multi-step workflows
- Next-step concepts such as operators and channel factories
- Running a Nextflow workflow locally
- Finding and interpreting outputs (results) and log files
- Troubleshooting basic issues

The [setup](pages/course-information/setup)
page lists the installation and setup of all the tools used in the
course, so make sure you've gone through them all before the course begins.

## Requirements

- Bash
- Java 11 (or later, up to 21)
- Git
- Docker
- Nextflow

## Teachers

* Jacques Dainat (course leader)

## Contact

To contact me, please send a mail at {{config.extra.contact}}.

## Acknowledgment

Part of this course is based on https://github.com/nextflow-io/training