# Setup your work environment

## Nextflow 

### Via conda 

```bash
conda create -n nextflow
conda activate nextflow
conda install bioconda::nextflow
```

### Manually

Nextflow runs on most POSIX systems (Linux, macOS, etc) and can typically be installed by running these commands:

```bash
# Make sure 11 or later is installed on your computer by using the command:
java -version
      
# Install Nextflow by entering this command in your terminal(it creates a file nextflow in the current dir):
curl -s https://get.nextflow.io | bash 

# ensure that the binary is executable:
chmod +x nextflow

# Add Nextflow binary to your user's PATH:
mv nextflow ~/bin/
# OR system-wide installation:
# sudo mv nextflow /usr/local/bin
```


## Docker

Installing Docker is quite straightforward on Mac or Windows and a little more
cumbersome on Linux. Note that Docker runs as root, which means that you have to
have `sudo` privileges on your computer in order to install or run Docker. When
you have finished installing docker, regardless of which OS you are on, please
type `docker --version` to verify that the installation was successful!

### macOS intel/M1/M2

Go to [docker.com](https://docs.docker.com/docker-for-mac/install/#download-docker-for-mac)
and select download option that is suitable for your computer's architecture
(*i.e.* if you have an Intel chip or a newer Apple M1 chip). This will download
a `dmg` file - click on it when it's done to start the installation. This will
open up a window where you can drag the Docker.app to Applications. Close the
window and click the Docker app from the Applications menu. Now it's basically
just to click "next" a couple of times and we should be good to go. You can
find the Docker icon in the menu bar in the upper right part of the screen.

### Linux

How to install Docker differs a bit depending on your Linux distribution, but
the steps are the same. Please follow the instructions for your distribution on
[https://docs.docker.com/engine/install/#server](https://docs.docker.com/engine/install/#server).

!!! Tip
    As mentioned before, Docker needs to run as root. You can achieve this by
    prepending all Docker commands with `sudo`. This is the approach that we
    will take in this tutorial, since the set up becomes a little simpler that way.
    If you plan on continuing using Docker you can get rid of this by adding your
    user to the group `docker`. Here are instructions for how to do this:
    [https://docs.docker.com/engine/installation/linux/linux-postinstall/](https://docs.docker.> com/engine/installation/linux/linux-postinstall/).

### Windows

In order to run Docker on Windows your computer must support *Hardware
Virtualization Technology* and virtualization must be enabled. This is
typically done in BIOS. Setting this is outside the scope of this tutorial,
so we'll simply go ahead as if though it's enabled and hope that it works.

On Windows 10 we will install Docker for Windows, which is available at
[docker.com](https://docs.docker.com/docker-for-windows/install/#download-docker-for-windows).
Click the link *Download from Docker Hub*, and select *Get Docker*. Once the
download is complete, execute the file and follow the
[instructions](https://docs.docker.com/docker-for-windows/install/#install-docker-desktop-on-windows).
You can now start Docker from the Start menu. You can search for it if you
cannot find it; the Docker whale icon should appear in the task bar.

You will probably need to enable integration with the Linux subsystem, if you
haven't done so during the installation of Docker Desktop. Right-click on the
Docker whale icon in the task bar and select *Settings*. Choose *Resources* and
select *WPS integration*. Enable integration with the Linux subsystem and click
*Apply & Restart*; also restart the Linux subsystem.